{ ... }:
{
  programs.irssi = {
    enable = true;
    networks = {
      liberachat = {
        server = {
          address = "irc.libera.chat";
          port = 6697;
          autoConnect = true;
          ssl.enable = true;
        };
        nick = "escapeangle";
        channels = {
          inuits.autoJoin = true;
          mgmtconfig.autoJoin = true;
          nixos.autoJoin = true;
          prometheus.autoJoin = true;
        };
      };
      hackint = {
        server = {
          address = "irc.hackint.org";
          port = 6697;
          autoConnect = true;
          ssl.enable = true;
        };
        nick = "escapeangle";
      };
    };
  };
}
